6.0.0-git
2019-03-24

[#12355] Import of standard iCalendar data interrupts
Summary Import of standard iCalendar data interrupts
Queue Nag
Queue Version 4.1.0
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester cne (at) ruhrverband (dot) de
Created 2013-06-14 (2109 days ago)
Due 05/31/2013 (2123 days ago)
Updated 2013-07-02 (2091 days ago)
Assigned 2013-06-14 (2109 days ago)
Resolved 2013-06-21 (2102 days ago)
Milestone
Patch No

History
2013-07-02 11:39:15 cne (at) ruhrverband (dot) de Comment #9 Reply to this comment
Nag 4.1.1
If there is an empty RELATED-TO: - Tag, the import also interrupts:
Also fixed in 4.1.1 already.
But not only with Michaels Patch, right?
2013-07-02 10:19:18 Jan Schneider Comment #8 Reply to this comment
Nag 4.1.1
If there is an empty RELATED-TO: - Tag, the import also interrupts:
Also fixed in 4.1.1 already.
2013-07-02 06:20:54 cne (at) ruhrverband (dot) de Comment #7
New Attachment: aufgaben-fwo-20130701.ics Download
Reply to this comment
Nag 4.1.1
If there is an empty RELATED-TO: - Tag, the import also interrupts:


Tasks not found

1. Nag_Task->fromiCalendar() /var/www/html/horde/nag/data.php:125
2. Nag_Driver_Sql->getByUID() /var/www/html/horde/nag/lib/Task.php:1314
3. Nag_Driver_Sql->_getBy() /var/www/html/horde/nag/lib/Driver/Sql.php:63

Details
Die vollständige Fehlermeldung wurde in Hordes Logdatei geschrieben 
und für Administratoren weiter unten ausgegeben. Benutzer, die keine 
Administratoren sind, bekommen diese Details nicht zu sehen.

Horde_Exception_NotFound Object
(
     [details] =>
     [logged] => 1
     [_logLevel:protected] => 0
     [message:protected] => Tasks not found
     [string:Exception:private] =>
     [code:protected] => 0
     [file:protected] => /var/www/html/horde/nag/lib/Driver/Sql.php
     [line:protected] => 99
     [trace:Exception:private] => Array
         (
             [0] => Array
                 (
                     [file] => /var/www/html/horde/nag/lib/Driver/Sql.php
                     [line] => 63
                     [function] => _getBy
                     [class] => Nag_Driver_Sql
                     [type] => ->
                     [args] => Array
                         (
                             [0] =>
                             [1] => task_uid
                         )
                 )

             [1] => Array
                 (
                     [file] => /var/www/html/horde/nag/lib/Task.php
                     [line] => 1314
                     [function] => getByUID
                     [class] => Nag_Driver_Sql
                     [type] => ->
                     [args] => Array
                         (
                             [0] =>
                         )
                 )

             [2] => Array
                 (
                     [file] => /var/www/html/horde/nag/data.php
                     [line] => 125
                     [function] => fromiCalendar
                     [class] => Nag_Task
                     [type] => ->
                     [args] => Array
                         (
                             [0] => Horde_Icalendar_Vtodo Object
                                 (
                                     [type] => vTodo
                                     [_container:protected] => 
Horde_Icalendar Object
                                         (
                                             [type] => vcalendar
                                             [_container:protected] =>
                                             [_attributes:protected] => Array
                                                 (
                                                     [0] => Array
                                                         (
                                                             [name] => VERSION
                                                             [params] => Array
                                                                 (
                                                                 )

                                                             [value] => 2.0
                                                             [values] => Array
                                                                 (
                                                                     [0] => 2.0
                                                                 )

                                                         )

                                                     [1] => Array
                                                         (
                                                             [name] => PRODID
                                                             [params] => Array
                                                                 (
                                                                 )

                                                             [value] 
=> -//The Horde Project//Nag H3 (2.3.7)//EN
                                                             [values] => Array
                                                                 (
                                                                     
[0] => -//The Horde Project//Nag H3 (2.3.7)//EN
                                                                 )

                                                         )

                                                     [2] => Array
                                                         (
                                                             [name] => METHOD
                                                             [params] => Array
                                                                 (
                                                                 )
                                                             [value] => PUBLISH
                                                             [values] => Array
                                                                 (
                                                                     
[0] => PUBLISH
                                                                 )
                                                         )
                                                 )

                                             [_components:protected] => Array
                                                 (
                                                     [0] => 
Horde_Icalendar_Vtodo Object
  *RECURSION*
                                                     [1] => 
Horde_Icalendar_Vtodo Object
                                                         (
                                                             [type] => vTodo
                                                             
[_container:protected] => Horde_Icalendar Object
  *RECURSION*
                                                             
[_attributes:protected] => Array
                                                                 (
                                                                     
[0] => Array
                                                                         (
                                                                       
       [name] => UID
                                                                       
       [params] => Array
                                                                       
           (
                                                                       
           )

                                                                       
       [value] => 20091211144000.18655jsbgbz9l0og@webmail.ruhrverband.de
                                                                       
       [values] => Array
                                                                       
           (
                                                                       
               [0] => 
20091211144000.18655jsbgbz9l0og@webmail.ruhrverband.de
                                                                       
           )
                                                                         )

                                                                     
[1] => Array
                                                                         (
                                                                       
       [name] => ORGANIZER
                                                                       
       [params] => Array
                                                                       
           (
                                                                       
           )

                                                                       
       [value] => fwo
                                                                       
       [values] => Array
                                                                       
           (
                                                                       
               [0] => fwo
                                                                       
           )

                                                                         )

                                                                     
[2] => Array
                                                                         (
                                                                       
       [name] => SUMMARY
                                                                       
       [params] => Array
                                                                       
           (
                                                                       
           )

                                                                       
       [value] => Ablage-/Dateisystem mit Versionen bzw. 
Revisionssystem im Hintergrund
                                                                       
       [values] => Array
                                                                       
           (
                                                                       
               [0] => Ablage-/Dateisystem mit Versionen bzw. 
Revisionssystem im Hintergrund
                                                                       
           )
                                                                         )

                                                                     
[3] => Array
                                                                         (
                                                                       
       [name] => DESCRIPTION
                                                                       
       [params] => Array
                                                                       
           (
                                                                       
           )

                                                                       
       [value] => Anm.: recycle in Samba?
                                                                       
       [values] => Array
                                                                       
           (
                                                                       
               [0] => Anm.: recycle in Samba?
                                                                       
           )

                                                                         )

                                                                     
[4] => Array
                                                                         (
                                                                       
       [name] => PRIORITY
                                                                       
       [params] => Array
                                                                       
           (
                                                                       
           )

                                                                       
       [value] => 5
                                                                       
       [values] => Array
                                                                       
           (
                                                                       
               [0] => 5
                                                                       
           )
                                                                         )

                                                                     
[5] => Array
                                                                         (
                                                                       
       [name] => STATUS
                                                                       
       [params] => Array
                                                                       
           (
                                                                       
           )

                                                                       
       [value] => NEEDS-ACTION
                                                                       
       [values] => Array
                                                                       
           (
                                                                       
               [0] => NEEDS-ACTION
                                                                       
           )

                                                                         )

                                                                     
[6] => Array
                                                                         (
                                                                       
       [name] => CATEGORIES
                                                                       
       [params] => Array
                                                                       
           (
                                                                       
           )

                                                                       
       [value] => Infrastruktur
                                                                       
       [values] => Array
                                                                       
           (
                                                                       
               [0] => Infrastruktur
                                                                       
           )

                                                                         )

                                                                     
[7] => Array
                                                                         (
                                                                       
       [name] => CREATED
                                                                       
       [params] => Array
                                                                       
           (
                                                                       
           )

                                                                       
       [value] => 1260539140
                                                                       
       [values] => Array
                                                                       
           (
                                                                       
               [0] => 1260539140
                                                                       
           )

                                                                         )

                                                                     
[8] => Array
                                                                         (
                                                                       
       [name] => LAST-MODIFIED
                                                                       
       [params] => Array
                                                                       
           (
                                                                       
           )

                                                                       
       [value] => 1353941659
                                                                       
       [values] => Array
                                                                       
           (
                                                                       
               [0] => 1353941659
                                                                       
           )

                                                                         )

                                                                 )

                                                             
[_components:protected] => Array
                                                                 (
                                                                 )

                                                             
[_newline:protected] =>

                                                             
[_version:protected] => 2.0
                                                             
[_oldFormat:protected] =>
                                                         )

                                                 )

                                             [_newline:protected] =>

                                             [_version:protected] => 2.0
                                             [_oldFormat:protected] =>
                                         )

                                     [_attributes:protected] => Array
                                         (
                                             [0] => Array
                                                 (
                                                     [name] => UID
                                                     [params] => Array
                                                         (
                                                         )

                                                     [value] => 
20100831153911.12872tku24g20q2n@webmail.ruhrverband.de
                                                     [values] => Array
                                                         (
                                                             [0] => 
20100831153911.12872tku24g20q2n@webmail.ruhrverband.de
                                                         )

                                                 )

                                             [1] => Array
                                                 (
                                                     [name] => ORGANIZER
                                                     [params] => Array
                                                         (
                                                         )

                                                     [value] => fwo
                                                     [values] => Array
                                                         (
                                                             [0] => fwo
                                                         )

                                                 )

                                             [2] => Array
                                                 (
                                                     [name] => SUMMARY
                                                     [params] => Array
                                                         (
                                                         )

                                                     [value] => NIS 
Landschaft aufräumen
                                                     [values] => Array
                                                         (
                                                             [0] => 
NIS Landschaft aufräumen
                                                         )

                                                 )

                                             [3] => Array
                                                 (
                                                     [name] => DESCRIPTION
                                                     [params] => Array
                                                         (
                                                         )

                                                     [value] => Die 
verschiedenen YP-Server scheinen nicht auf einer einheitlichen 
Grundlage zu arbeiten. ypservers sollte auf allen beteiligten Systemen 
gleich sein. Die Struktur der ypbind's soll einheitlich sein.
Bitte die Festlegungen im Twiki dokumentieren

yp.conf auf u-srv, tg-srv korrigiert

auf alten SUSE-Servern überschreiben die Angaben in /etc/rc.config 
gfs. die in yp.conf! (backup, search, monitor)
                                                     [values] => Array
                                                         (
                                                             [0] => 
Die verschiedenen YP-Server scheinen nicht auf einer einheitlichen 
Grundlage zu arbeiten. ypservers sollte auf allen beteiligten Systemen 
gleich sein. Die Struktur der ypbind's soll einheitlich sein.
Bitte die Festlegungen im Twiki dokumentieren

yp.conf auf u-srv, tg-srv korrigiert

auf alten SUSE-Servern überschreiben die Angaben in /etc/rc.config 
gfs. die in yp.conf! (backup, search, monitor)


                                                         )

                                                 )

                                             [4] => Array
                                                 (
                                                     [name] => PRIORITY
                                                     [params] => Array
                                                         (
                                                         )
                                                     [value] => 1
                                                     [values] => Array
                                                         (
                                                             [0] => 1
                                                         )
                                                 )
                                             [5] => Array
                                                 (
                                                     [name] => RELATED-TO
                                                     [params] => Array
                                                         (
                                                         )
                                                     [value] =>
                                                     [values] => Array
                                                         (
                                                             [0] =>
                                                         )
                                                 )
                                             [6] => Array
                                                 (
                                                     [name] => STATUS
                                                     [params] => Array
                                                         (
                                                         )
                                                     [value] => COMPLETED
                                                     [values] => Array
                                                         (
                                                             [0] => COMPLETED
                                                         )
                                                 )
                                             [7] => Array
                                                 (
                                                     [name] => COMPLETED
                                                     [params] => Array
                                                         (
                                                         )
                                                     [value] => 1284375441
                                                     [values] => Array
                                                         (
                                                             [0] => 1284375441
                                                         )
                                                 )
                                             [8] => Array
                                                 (
                                                     [name] => CREATED
                                                     [params] => Array
                                                         (
                                                         )
                                                     [value] => 1283261951
                                                     [values] => Array
                                                         (
                                                             [0] => 1283261951
                                                         )
                                                 )
                                             [9] => Array
                                                 (
                                                     [name] => LAST-MODIFIED
                                                     [params] => Array
                                                         (
                                                         )
                                                     [value] => 1284375441
                                                     [values] => Array
                                                         (
                                                             [0] => 1284375441
                                                         )
                                                 )
                                         )
                                     [_components:protected] => Array
                                         (
                                         )
                                     [_newline:protected] =>

                                     [_version:protected] => 2.0
                                     [_oldFormat:protected] =>
                                 )
                         )
                 )
         )
     [previous:Exception:private] =>
)

2013-06-21 18:58:17 Michael Rubinsky Comment #6
Assigned to Michael Rubinsky
State ⇒ Resolved
Reply to this comment
Nag 4.1.1
2013-06-21 18:56:25 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit 132d5b45970bec41e715fbd5aa100e644084db5e
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Jun 21 14:55:23 2013 -0400

     Bug: 12355 Must set the storage paramter when importing tasks.

     Task object needs a storage object if we are importing a 
hierarchy of tasks.

  nag/data.php |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/132d5b45970bec41e715fbd5aa100e644084db5e
2013-06-16 19:58:01 cne (at) ruhrverband (dot) de Comment #4 Reply to this comment
Perhaps an useful error message? ...

apache log:
[Sun Jun 16 21:31:31 2013] [error] [client <IP>] PHP Fatal error:   
Call to a member function getByUID() on a non-object in 
/var/www/html/horde/nag/lib/Task.php on line 1314, referer: 
http://server.tld/horde/nag/data.php

horde.log:
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0060s)
        SELECT DISTINCT s.* FROM nag_shares s LEFT JOIN nag_shares_users u ON
          u.share_id = s.share_id LEFT JOIN nag_shares_groups g ON g.share_id =
          s.share_id WHERE (s.share_owner = 'AUTH USER' OR (CASE WHEN
          CAST(s.perm_creator AS VARCHAR) ~ '^-?[0-9]+$' THEN
          (CAST(s.perm_creator AS INTEGER) & 2) <> 0 ELSE FALSE END) OR (CASE
          WHEN CAST(s.perm_default AS VARCHAR) ~ '^-?[0-9]+$' THEN
          (CAST(s.perm_default AS INTEGER) & 2) <> 0 ELSE FALSE END) OR (
          u.user_uid = 'AUTH USER' AND (CASE WHEN CAST(u.perm AS VARCHAR) ~
          '^-?[0-9]+$' THEN (CAST(u.perm AS INTEGER) & 2) <> 0 ELSE FALSE END))
          OR (g.group_uid IN
          ('LDAP AUTH. Server') AND (CASE WHEN CAST(g.perm AS VARCHAR) ~
          '^-?[0-9]+$' THEN (CAST(g.perm AS INTEGER) & 2) <> 0 ELSE FALSE END)))
          ORDER BY s.attribute_name ASC [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0006s)
        SELECT * FROM nag_shares WHERE share_name = '3O6FTx_m4na4GbrxNcIe2g1' 
[pid 11632 on line 558 of "/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0016s)
        SELECT DISTINCT s.* FROM nag_shares s LEFT JOIN nag_shares_users u ON
          u.share_id = s.share_id LEFT JOIN nag_shares_groups g ON g.share_id =
          s.share_id WHERE (s.share_owner = 'AUTH USER' OR (CASE WHEN
          CAST(s.perm_creator AS VARCHAR) ~ '^-?[0-9]+$' THEN
          (CAST(s.perm_creator AS INTEGER) & 2) <> 0 ELSE FALSE END) OR (CASE
          WHEN CAST(s.perm_default AS VARCHAR) ~ '^-?[0-9]+$' THEN
          (CAST(s.perm_default AS INTEGER) & 2) <> 0 ELSE FALSE END) OR (
          u.user_uid = 'AUTH USER' AND (CASE WHEN CAST(u.perm AS VARCHAR) ~
          '^-?[0-9]+$' THEN (CAST(u.perm AS INTEGER) & 2) <> 0 ELSE FALSE END))
          OR (g.group_uid IN
          ('LDAP AUTH. Server') AND (CASE WHEN CAST(g.perm AS VARCHAR) ~
          '^-?[0-9]+$' THEN (CAST(g.perm AS INTEGER) & 2) <> 0 ELSE FALSE END)))
          AND share_owner = 'AUTH USER' ORDER BY s.attribute_name ASC [pid 
11632 on line 558 of "/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] Horde_Prefs: Storing 
preference value (display_tasklists) [pid 11632 on line 885 of 
"/var/www/html/horde/nag/lib/Nag.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0013s)
        SELECT DISTINCT s.* FROM nag_shares s LEFT JOIN nag_shares_users u ON
          u.share_id = s.share_id LEFT JOIN nag_shares_groups g ON g.share_id =
          s.share_id WHERE (s.share_owner = 'AUTH USER' OR (CASE WHEN
          CAST(s.perm_creator AS VARCHAR) ~ '^-?[0-9]+$' THEN
          (CAST(s.perm_creator AS INTEGER) & 30) <> 0 ELSE FALSE END) OR (CASE
          WHEN CAST(s.perm_default AS VARCHAR) ~ '^-?[0-9]+$' THEN
          (CAST(s.perm_default AS INTEGER) & 30) <> 0 ELSE FALSE END) OR (
          u.user_uid = 'AUTH USER' AND (CASE WHEN CAST(u.perm AS VARCHAR) ~
          '^-?[0-9]+$' THEN (CAST(u.perm AS INTEGER) & 30) <> 0 ELSE FALSE END))
          OR (g.group_uid IN
          ('LDAP AUTH. Server') AND (CASE WHEN CAST(g.perm AS VARCHAR) ~
          '^-?[0-9]+$' THEN (CAST(g.perm AS INTEGER) & 30) <> 0 ELSE FALSE
          END))) AND share_owner = 'AUTH USER' ORDER BY s.attribute_name ASC 
[pid 11632 on line 558 of "/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0010s)
        SELECT * FROM nag_tasks WHERE task_owner = '3O6FTx_m4na4GbrxNcIe2g1' 
[pid 11632 on line 558 of "/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0009s)
        SELECT type_id, type_name FROM "rampage_types" WHERE type_name IN
          ('task') [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0009s)
        SELECT object_id, object_name FROM "rampage_objects" WHERE object_name
          IN
          ('20130614090442.tpBzTAsY8l_1kLooJLn9EA1@horde5.server.tld')
          AND type_id = 3 [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL PK and serial 
sequence (0,0044s)
         SELECT attr.attname, seq.relname FROM pg_class seq, pg_attribute
          attr, pg_depend dep, pg_namespace name, pg_constraint cons WHERE
          seq.oid = dep.objid AND seq.relkind = 'S' AND attr.attrelid =
          dep.refobjid AND attr.attnum = dep.refobjsubid AND attr.attrelid =
          cons.conrelid AND attr.attnum = cons.conkey[1] AND cons.contype = 'p'
          AND dep.refobjid = 'nag_tasks'::regclass [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL PK and custom 
sequence (0,0022s)
         SELECT attr.attname, CASE WHEN split_part(def.adsrc, '''', 2) ~ '.'
          THEN substr(split_part(def.adsrc, '''', 2),
          strpos(split_part(def.adsrc, '''', 2), '.')+1) ELSE
          split_part(def.adsrc, '''', 2) END AS relname FROM pg_class t JOIN
          pg_attribute attr ON (t.oid = attrelid) JOIN pg_attrdef def ON
          (adrelid = attrelid AND adnum = attnum) JOIN pg_constraint cons ON
          (conrelid = adrelid AND adnum = conkey[1]) WHERE t.oid =
          'nag_tasks'::regclass AND cons.contype = 'p' AND def.adsrc ~*
          'nextval' [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL PK and serial 
sequence (0,0023s)
         SELECT attr.attname, seq.relname FROM pg_class seq, pg_attribute
          attr, pg_depend dep, pg_namespace name, pg_constraint cons WHERE
          seq.oid = dep.objid AND seq.relkind = 'S' AND attr.attrelid =
          dep.refobjid AND attr.attnum = dep.refobjsubid AND attr.attrelid =
          cons.conrelid AND attr.attnum = cons.conkey[1] AND cons.contype = 'p'
          AND dep.refobjid = 'nag_tasks'::regclass [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL PK and custom 
sequence (0,0015s)
         SELECT attr.attname, CASE WHEN split_part(def.adsrc, '''', 2) ~ '.'
          THEN substr(split_part(def.adsrc, '''', 2),
          strpos(split_part(def.adsrc, '''', 2), '.')+1) ELSE
          split_part(def.adsrc, '''', 2) END AS relname FROM pg_class t JOIN
          pg_attribute attr ON (t.oid = attrelid) JOIN pg_attrdef def ON
          (adrelid = attrelid AND adnum = attnum) JOIN pg_constraint cons ON
          (conrelid = adrelid AND adnum = conkey[1]) WHERE t.oid =
          'nag_tasks'::regclass AND cons.contype = 'p' AND def.adsrc ~*
          'nextval' [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]


2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0038s)
        INSERT INTO nag_tasks (task_owner, task_creator, task_assignee,
          task_id, task_name, task_uid, task_desc, task_start, task_due,
          task_priority, task_estimate, task_completed, task_alarm,
          task_alarm_methods, task_private, task_parent, task_recurtype,
          task_recurinterval, task_recurenddate, task_recurcount,
          task_recurdays, task_exceptions, task_completions) VALUES
          ('3O6FTx_m4na4GbrxNcIe2g1', 'AUTH USER', '', 'hYjuL6Swj7XDZagPP6_UWQ1',
          'Test1',
          '20130614090442.tpBzTAsY8l_1kLooJLn9EA1@horde5.server.tld',
          '', 0, 0, 3, '0.00', 0, 0, 'N;', 0, '', 0, NULL, NULL, NULL, NULL,
          NULL, NULL) [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]


2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0004s)
        SELECT object_id, object_name FROM "rampage_objects" WHERE object_name
          IN
          ('20130614090442.tpBzTAsY8l_1kLooJLn9EA1@horde5.server.tld')
          AND type_id = 3 [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL PK and serial 
sequence (0,0022s)
         SELECT attr.attname, seq.relname FROM pg_class seq, pg_attribute
          attr, pg_depend dep, pg_namespace name, pg_constraint cons WHERE
          seq.oid = dep.objid AND seq.relkind = 'S' AND attr.attrelid =
          dep.refobjid AND attr.attnum = dep.refobjsubid AND attr.attrelid =
          cons.conrelid AND attr.attnum = cons.conkey[1] AND cons.contype = 'p'
          AND dep.refobjid = 'rampage_objects'::regclass [pid 11632 on line 
558 of "/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0035s)
        INSERT INTO "rampage_objects" (object_name, type_id) VALUES
          ('20130614090442.tpBzTAsY8l_1kLooJLn9EA1@horde5.server.tld',
          3) RETURNING "object_id" [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL Reset sequence (0,0031s)
        SELECT setval('rampage_objects_object_id_seq', (SELECT
          COALESCE(MAX("object_id") + (SELECT increment_by FROM
          rampage_objects_object_id_seq), (SELECT min_value FROM
          rampage_objects_object_id_seq)) FROM "rampage_objects"), false) 
[pid 11632 on line 558 of "/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0008s)
        SELECT user_id, user_name FROM "rampage_users" WHERE user_name IN
          ('AUTH USER') [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0210s)
        SELECT * FROM nag_tasks WHERE task_id = 'hYjuL6Swj7XDZagPP6_UWQ1' 
[pid 11632 on line 558 of "/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0027s)
        SELECT * FROM horde_histories WHERE object_uid =
          'nag:3O6FTx_m4na4GbrxNcIe2g1:20130614090442.tpBzTAsY8l_1kLooJLn9EA1@ho
          rde5.server.tld' [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0005s)
        SELECT * FROM horde_histories WHERE object_uid =
          'nag:3O6FTx_m4na4GbrxNcIe2g1:20130614090442.tpBzTAsY8l_1kLooJLn9EA1@ho
          rde5.server.tld' [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL PK and serial 
sequence (0,0064s)
         SELECT attr.attname, seq.relname FROM pg_class seq, pg_attribute
          attr, pg_depend dep, pg_namespace name, pg_constraint cons WHERE
          seq.oid = dep.objid AND seq.relkind = 'S' AND attr.attrelid =
          dep.refobjid AND attr.attnum = dep.refobjsubid AND attr.attrelid =
          cons.conrelid AND attr.attnum = cons.conkey[1] AND cons.contype = 'p'
          AND dep.refobjid = 'horde_histories'::regclass [pid 11632 on line 
558 of "/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0032s)
        INSERT INTO horde_histories (object_uid, history_ts, history_who,
          history_desc, history_action, history_extra) VALUES
          ('nag:3O6FTx_m4na4GbrxNcIe2g1:20130614090442.tpBzTAsY8l_1kLooJLn9EA1@h
          orde5.server.tld', 1371411091, 'AUTH USER', NULL, 'add', NULL)
          RETURNING "history_id" [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL Reset sequence (0,0035s)
        SELECT setval('horde_histories_history_id_seq', (SELECT
          COALESCE(MAX("history_id") + (SELECT increment_by FROM
          horde_histories_history_id_seq), (SELECT min_value FROM
          horde_histories_history_id_seq)) FROM "horde_histories"), false) 
[pid 11632 on line 558 of "/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] Load config file 
(nls.php; app: horde) [pid 11632 on line 401 of 
"/usr/share/pear/Horde.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] Load config file 
(prefs.php; app: horde) [pid 11632 on line 401 of 
"/usr/share/pear/Horde.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0035s)
        SELECT pref_name, pref_value FROM horde_prefs WHERE pref_uid = 'AUTH USER'
          AND pref_scope = 'horde' [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] Load config file 
(prefs.php; app: nag) [pid 11632 on line 401 of 
"/usr/share/pear/Horde.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] SQL  (0,0005s)
        SELECT pref_name, pref_value FROM horde_prefs WHERE pref_uid = 'AUTH USER'
          AND pref_scope = 'nag' [pid 11632 on line 558 of 
"/usr/share/pear/Horde/Db/Adapter/Base.php"]
2013-06-16T21:31:31+02:00 DEBUG: HORDE [nag] Max memory usage: 8912896 
bytes [pid 11632 on line 559 of "/usr/share/pear/Horde/Registry.php"]


2013-06-14 08:31:51 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
Please follow the hints at 
http://wiki.horde.org/FAQ/Admin/Troubleshoot#wsod to generate and find 
a useful error message.
2013-06-14 07:52:06 cne (at) ruhrverband (dot) de Comment #2 Reply to this comment
This happens even if the RELATED-TO: - Tag is empty.
2013-06-14 07:36:54 cne (at) ruhrverband (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Import of standard iCalendar data interrupts
Due ⇒ 2013-05-31
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
New Attachment: aufgaben(1).ics Download
Reply to this comment
Reimporting of Horde vcalendar exports is interrupted if there are 
"RELATED-TO:"-Tags inside the .ics-file.
After importing this data, horde5 terminates with a white screen. All 
Tasks ahead the Tag are imported.

Saved Queries